org.codehaus.plexus.compiler.manager

## Interface CompilerManager

- All Known Implementing Classes:
    DefaultCompilerManager

      public interface CompilerManager

  Version:
    $Id$
  Author:
    Trygve Laugstøl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ROLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Compiler` | `getCompiler(String compilerId)`

- - ### Field Detail

    - #### ROLE

          static final String ROLE

  - ### Method Detail

    - #### getCompiler

          Compiler getCompiler(String compilerId)
                               throws NoSuchCompilerException

      Throws:
        `NoSuchCompilerException`

Copyright © 2015. All rights reserved.